<?php
/**
* Enqueue scripts and styles
*
* @package EliteWP WordPress Theme
* @copyright Copyright (C) 2025 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function elitewp_scripts() {
    wp_enqueue_style('elitewp-maincss', get_stylesheet_uri(), array(), NULL);
    wp_enqueue_style('font-awesome', get_template_directory_uri() . '/assets/css/font-awesome.min.css', array(), NULL );
    wp_enqueue_style('elitewp-webfont', '//fonts.googleapis.com/css?family=Playfair+Display:400,400i,700,700i|Domine:400,700|Oswald:400,700|Merriweather:400,400i,700,700i&amp;display=swap', array(), NULL);
    wp_enqueue_script('fitvids', get_template_directory_uri() .'/assets/js/jquery.fitvids.min.js', array( 'jquery' ), NULL, true);

    $elitewp_primary_menu_active = FALSE;
    if ( !elitewp_get_option('disable_primary_menu') ) {
        $elitewp_primary_menu_active = TRUE;
    }
    $elitewp_secondary_menu_active = FALSE;
    if ( !elitewp_get_option('disable_secondary_menu') ) {
        $elitewp_secondary_menu_active = TRUE;
    }

    $elitewp_sticky_menu = TRUE;
    $elitewp_sticky_mobile_menu = TRUE;
    if ( !elitewp_get_option('enable_sticky_mobile_menu') ) {
        $elitewp_sticky_mobile_menu = FALSE;
    }

    $elitewp_sticky_sidebar = TRUE;
    if ( is_page_template( array( 'template-full-width-page.php', 'template-full-width-post.php' ) ) ) {
        $elitewp_sticky_sidebar = FALSE;
    }
    if ( is_404() ) {
        $elitewp_sticky_sidebar = FALSE;
    }
    if ( $elitewp_sticky_sidebar ) {
        wp_enqueue_script('ResizeSensor', get_template_directory_uri() .'/assets/js/ResizeSensor.min.js', array( 'jquery' ), NULL, true);
        wp_enqueue_script('theia-sticky-sidebar', get_template_directory_uri() .'/assets/js/theia-sticky-sidebar.min.js', array( 'jquery' ), NULL, true);
    }

    $elitewp_slider = FALSE;
    if ( elitewp_get_option('enable_slider') ) {
        $elitewp_slider = TRUE;
    }
    if ( $elitewp_slider ) {
        wp_enqueue_style('owl-carousel', get_template_directory_uri() . '/assets/css/owl.carousel.min.css', array(), NULL );
        wp_enqueue_script('owl-carousel', get_template_directory_uri() .'/assets/js/owl.carousel.js', array( 'jquery', 'imagesloaded' ), NULL, true);
    }

    wp_enqueue_script('elitewp-navigation', get_template_directory_uri() . '/assets/js/navigation.js', array(), NULL, true );
    wp_enqueue_script('elitewp-skip-link-focus-fix', get_template_directory_uri() . '/assets/js/skip-link-focus-fix.js', array(), NULL, true );
    wp_enqueue_script('elitewp-customjs', get_template_directory_uri() .'/assets/js/custom.js', array( 'jquery' ), NULL, true);
    wp_localize_script( 'elitewp-customjs', 'elitewp_ajax_object',
        array(
            'ajaxurl' => admin_url( 'admin-ajax.php' ),
            'primary_menu_active' => $elitewp_primary_menu_active,
            'secondary_menu_active' => $elitewp_secondary_menu_active,
            'sticky_menu' => $elitewp_sticky_menu,
            'sticky_menu_mobile' => $elitewp_sticky_mobile_menu,
            'sticky_sidebar' => $elitewp_sticky_sidebar,
            'slider' => $elitewp_slider,
        )
    );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'elitewp_scripts' );

/**
 * Enqueue customizer styles.
 */
function elitewp_enqueue_customizer_styles() {
    wp_enqueue_style( 'elitewp-customizer-styles', get_template_directory_uri() . '/inc/admin/css/customizer-style.css', array(), NULL );
    wp_enqueue_style('font-awesome', get_template_directory_uri() . '/assets/css/font-awesome.min.css', array(), NULL );
}
add_action( 'customize_controls_enqueue_scripts', 'elitewp_enqueue_customizer_styles' );